###
# Copyright (c) 2025, Stormux
#
# This plugin is licensed under the same terms as Limnoria itself.
###

"""
Weather: Get weather forecasts using the Open-Meteo API with geolocation by geopy
"""

import sys
import supybot
from supybot import world

__version__ = "2025.03.29"

__author__ = supybot.Author("Storm Dragon", "storm_dragon@stormux.org", "")

__contributors__ = {}

__url__ = 'https://git.stormux.org/storm/limnoria-plugins'

from . import config
from . import plugin
from importlib import reload
# If being reloaded
reload(config)
reload(plugin)

if world.testing:
    from . import test

Class = plugin.Class
configure = config.configure


# vim:set shiftwidth=4 softtabstop=4 expandtab textwidth=79:
