###
# Copyright (c) 2025, Stormux
#
# This plugin is licensed under the same terms as Limnoria itself.
###

from supybot.test import *

class WeatherTestCase(PluginTestCase):
    plugins = ('Weather',)

    def testWeatherCommands(self):
        # Since we can't actually test the API calls in a unit test,
        # we'll just test that the commands exist and respond

        # Test setweather command
        self.assertNotError('setweather Bluefield, WV')

        # Test weather command with no arguments
        # This should use the previously set location
        self.assertNotError('weather')

        # Test weather command with a location
        self.assertNotError('weather Salt Lake City, Utah')

        # Test delweather command
        self.assertNotError('delweather')


# vim:set shiftwidth=4 softtabstop=4 expandtab textwidth=79:
